package com.mosty.yjzl.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.query.yjzl.TbYjxxClQuery;
import com.mosty.base.model.vo.yjzl.TbYjxxClVo;

import java.util.List;

/**
 * <p>
 * 预警信息-车辆表 服务类
 * </p>
 *
 * @author zengbo
 * @since 2022-07-21
 */
public interface TbYjxxClService {

    /**
     * 分页查询预警车辆
     * @param tbYjxxClQuery
     * @return
     */
    IPage<TbYjxxClVo> queryByPage(TbYjxxClQuery tbYjxxClQuery);

    /**
     * 不分页查询预警车辆
     * @param tbYjxxClQuery
     * @return
     */
    List<TbYjxxClVo> queryList(TbYjxxClQuery tbYjxxClQuery);

    /**
     * 新增预警车辆
     * @param clVo
     */
    int insert(TbYjxxClVo clVo);

    /**
     * 修改预警车辆
     * @param clVo
     */
    int update(TbYjxxClVo clVo);

    /**
     * 根据ID删除
     * @param list
     * @return
     */
    int deleteById(List<String> list);

    /**
     * 根据ID查询
     * @param id
     * @return
     */
    TbYjxxClVo queryById(String id);

}
